List Withdraw Settings
GET/v1/utils/user-withdraw-settings
Retrieve a list of the user's withdraw settings.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The user withdraw settings returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
User withdraw setting data.
Possible values: [ACTIVE, DEACTIVE]
Withdraw state.
Possible values: [DAILY, WEEKLY, MONTHLY, BALANCE]
Withdraw type
Balance in R$ cents.
Wallet owner branch.
Wallet owner account number.
Schedule a day to execute the withdraw. Returns value only for DAILY type
Schedule a day to execute the withdraw. Returns value only for WEEKLY type
Date of created withdraw.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"state": "DEACTIVE",
"type": "DAILY",
"balance": 1299,
"wallet_owner_branch": "0001",
"wallet_owner_account_number": "12345678",
"day": null,
"week_day": null,
"created_at": "2026-03-26T14:02:58.908Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.